Package org.apache.sysds.resource

## Class ResourceOptimizer

- java.lang.Object
- - org.apache.sysds.resource.ResourceOptimizer

    public class ResourceOptimizer
    extends Object

### Constructor Summary

Constructors
`ResourceOptimizer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.commons.cli.Options` `createOptions()`
`static void` `execute​(org.apache.commons.cli.CommandLine line, org.apache.commons.configuration2.PropertiesConfiguration options)`
`static String` `getOrDefault​(org.apache.commons.configuration2.PropertiesConfiguration config, String key, String defaultValue)`
`static Enumerator` `initEnumerator​(org.apache.commons.cli.CommandLine line, org.apache.commons.configuration2.PropertiesConfiguration options)`
`static void` `main​(String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceOptimizer

    public ResourceOptimizer()

### Method Detail

#### createOptions

    public static org.apache.commons.cli.Options createOptions()

#### initEnumerator

    public static Enumerator initEnumerator​(org.apache.commons.cli.CommandLine line,
                                            org.apache.commons.configuration2.PropertiesConfiguration options)
                                     throws org.apache.commons.cli.ParseException,
                                            IOException

Throws:
  `org.apache.commons.cli.ParseException`
  `IOException`

#### execute

    public static void execute​(org.apache.commons.cli.CommandLine line,
                               org.apache.commons.configuration2.PropertiesConfiguration options)
                        throws org.apache.commons.cli.ParseException,
                               IOException

Throws:
  `org.apache.commons.cli.ParseException`
  `IOException`

#### main

    public static void main​(String[] args)
                     throws org.apache.commons.cli.ParseException,
                            IOException,
                            org.apache.commons.configuration2.ex.ConfigurationException

Throws:
  `org.apache.commons.cli.ParseException`
  `IOException`
  `org.apache.commons.configuration2.ex.ConfigurationException`

#### getOrDefault

    public static String getOrDefault​(org.apache.commons.configuration2.PropertiesConfiguration config,
                                      String key,
                                      String defaultValue)